[dak/master] remove etch backports
Signed-off-by: Joerg Jaspert <joerg@debian.org>
---
config/backports/apt.conf | 26 -------------
config/backports/bpo-copy-packages | 72 ------------------------------------
config/backports/dak.conf | 23 -----------
3 files changed, 0 insertions(+), 121 deletions(-)
delete mode 100755 config/backports/bpo-copy-packages
diff --git a/config/backports/apt.conf b/config/backports/apt.conf
index 43c4e5d..9081918 100644
--- a/config/backports/apt.conf
+++ b/config/backports/apt.conf
@@ -69,29 +69,3 @@ tree "dists/squeeze-backports/main"
Packages::Extensions ".udeb";
Contents "$(DIST)/../Contents-udeb";
};
-
-
-tree "dists/etch-backports"
-{
- FileList "/srv/backports-master.debian.org/database/dists/etch-backports_$(SECTION)_binary-$(ARCH).list";
- SourceFileList "/srv/backports-master.debian.org/database/dists/etch-backports_$(SECTION)_source.list";
- Sections "main contrib non-free";
- Architectures "alpha amd64 arm hppa hurd-i386 i386 ia64 mips mipsel m68k powerpc s390 sh sparc source";
- BinOverride "override.etch-backports.$(SECTION)";
- ExtraOverride "override.etch-backports.extra.$(SECTION)";
- SrcOverride "override.etch-backports.$(SECTION).src";
- Packages::Compress ". gzip bzip2";
- Sources::Compress ". gzip bzip2";
-};
-
-tree "dists/etch-backports/main"
-{
- FileList "/srv/backports-master.debian.org/database/dists/etch-backports_main_$(SECTION)_binary-$(ARCH).list";
- Sections "debian-installer";
- Architectures "alpha amd64 arm hppa hurd-i386 i386 ia64 mips mipsel m68k powerpc s390 sh sparc source";
- BinOverride "override.etch-backports.main.$(SECTION)";
- SrcOverride "override.etch-backports.main.src";
- BinCacheDB "packages-debian-installer-$(ARCH).db";
- Packages::Extensions ".udeb";
- Contents "$(DIST)/../Contents-udeb";
-};
diff --git a/config/backports/bpo-copy-packages b/config/backports/bpo-copy-packages
deleted file mode 100755
index 7bbeb3c..0000000
--- a/config/backports/bpo-copy-packages
+++ /dev/null
@@ -1,72 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2005 Peter Palfrader <peter@palfrader.org>
-
-# WARNING: spaces in filenames/paths considered harmful.
-
-export SCRIPTVARS=/srv/backports-master.debian.org/dak/config/backports.org/vars
-. $SCRIPTVARS
-
-cd ${configdir}
-
-for suite in etch lenny; do
- source="${ftpdir}/dists/${suite}-backports"
- target="${base}/buildd/dists/${suite}-backports"
-
- if ! [ -d "$source" ]; then
- echo "Source '$source' does not exist or is not a directory or we can't acess it." >&2
- exit 1;
- fi
- if ! [ -d "$target" ]; then
- echo "Target '$target' does not exist or is not a directory or we can't acess it." >&2
- exit 1;
- fi
-
- for file in $( cd "$source" && find . -name 'Packages.gz' -o -name 'Packages' -o -name 'Sources.gz' -o -name 'Sources' -o -name 'Release' ); do
- basedir=$(dirname "$file")
- basename=$(basename "$file")
- targetdir="$target/$basedir"
- [ -d "$targetdir" ] || mkdir -p "$targetdir"
- if [ "$basename" = "Release" ]; then
- cp -a "$source/$file" "$target/$file"
- echo 'NotAutomatic: yes' >> "$target/$file"
- else
- cp -a "$source/$file" "$target/$file"
- fi
- done
-
-# postprocess top level Release file
- if ! [ -e "$target/Release" ]; then
- echo "Did not find $target/Release after copying stuff. something's fishy" >&2
- exit 1;
- fi
-
- cd "$target"
-
- perl -a -p -i -e '
- if (substr($_,0,1) eq " ") {
- if ($in_sha1 || $in_md5) {
- ($hash, $size, $file) = @F;
- $_="",next unless -f $file;
-
- (undef,undef,undef,undef,undef,undef,undef,$filesize,
- undef,undef,undef,undef,undef) = stat($file);
- if ($size != $filesize) {
- if ($in_sha1) {
- $hash = `sha1sum "$file" | cut -d " " -f 1`
- } else {
- $hash = `md5sum "$file" | cut -d " " -f 1`
- };
- chomp $hash;
- $_ = sprintf(" %s %16d %s\n", $hash, $filesize, $file);
- }
- }
- } else {
- $in_sha1 = ($F[0] eq "SHA1:") ? 1 : 0;
- $in_md5 = ($F[0] eq "MD5Sum:") ? 1 : 0;
- }
-' Release
-
- rm -f ${base}/buildd/dists/${suite}-backports/Release.gpg
- gpg --no-options --batch --no-tty --secret-keyring ${base}/s3kr1t/dot-gnupg/secring.gpg --output "Release.gpg" --armor --detach-sign "Release"
-done
diff --git a/config/backports/dak.conf b/config/backports/dak.conf
index 64f3663..8a2b23a 100644
--- a/config/backports/dak.conf
+++ b/config/backports/dak.conf
@@ -102,12 +102,6 @@ Check-Overrides
// OriginSuite "Unstable";
};
- etch-backports
- {
- Process "1";
-// OriginSuite "Unstable";
- };
-
// Unstable
// {
// Process "0";
@@ -223,23 +217,6 @@ Suite
NotAutomatic "yes";
};
- etch-backports
- {
- Components
- {
- main;
- contrib;
- non-free;
- };
- Announce "debian-backports-changes@lists.debian.org";
- Origin "backports.debian.org archive";
- Description "Backports for the Etch Distribution";
- CodeName "etch-backports";
- OverrideCodeName "etch-backports";
- Priority "7";
- NotAutomatic "yes";
- };
-
};
Dir
--
1.5.6.5
Reply to: